All Classes Namespaces Functions Variables Groups Pages
WebUtil::FileStreamRequest Class Reference

this class handles chunked file sends More...

Inheritance diagram for WebUtil::FileStreamRequest:
[legend]

## Public Member Functions

| constructor (HttpServer::HttpListenerInterface listener, HttpServer::AbstractHttpRequestHandler handler, Qore::Socket s, hash cx, hash hdr, *data body, Qore::ReadOnlyFile file, bool textflag, string content_type, int chunk_size)
| creates the object
private hash | getResponseHeaderMessageImpl ()
| returns the reponse headers
private any | sendImpl ()
| returns data to send

## Private Attributes

int | cs
| chunk size
string | ct
| Content-Type.
ReadOnlyFile | f
| file object
bool | txt
| text flag

## Detailed Description

this class handles chunked file sends